GNU bug report logs - #44824
27.1; Org export as pdf and open file does not open it

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,org-mode; Reported by: Geraldo Biotti <gbiotti@HIDDEN>; Keywords: moreinfo; dated Mon, 23 Nov 2020 17:41:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44824 <at> debbugs.gnu.org:


Received: (at 44824) by debbugs.gnu.org; 27 Jan 2021 16:21:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 27 11:21:33 2021
Received: from localhost ([127.0.0.1]:45921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l4nZV-0000Wr-C7
	for submit <at> debbugs.gnu.org; Wed, 27 Jan 2021 11:21:33 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1l4nZT-0000Wb-Gy
 for 44824 <at> debbugs.gnu.org; Wed, 27 Jan 2021 11:21:32 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49911)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>) id 1l4nZO-0007QH-CD
 for 44824 <at> debbugs.gnu.org; Wed, 27 Jan 2021 11:21:26 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1l4nZM-00035r-NJ; Wed, 27 Jan 2021 11:21:24 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 44824 <at> debbugs.gnu.org
Subject: Re: bug#44824: 27.1; Org export as pdf and open file does not open it
References: <CAFbX=UpDN9XtTr3osTC6B=V0trvatayw5WF0gMjGWAWfQQkAXg@HIDDEN>
 <f395c79a-c3e3-52c7-3fbb-608e94868e8e@HIDDEN>
 <87y2gfcape.fsf_-___1545.58022493205$1611718675$gmane$org@HIDDEN>
 <0f4437bc-3e40-fe47-d6e7-d33c2fb7965a__46427.8968678386$1611759102$gmane$org@HIDDEN>
X-Spook: Bush Wired Methamphetamine Mutation Cyber Command TWA
X-Ran: |1k,S7f.Uy[SWyE`&2MB$[hE=4Hq<Rg'Q<#zeh^KdDK]Y0Sy.l)1U|x}P;,1+6ZczOa6oo
X-Hue: brightgreen
X-Attribution: GM
Date: Wed, 27 Jan 2021 11:21:24 -0500
In-Reply-To: <0f4437bc-3e40-fe47-d6e7-d33c2fb7965a__46427.8968678386$1611759102$gmane$org@HIDDEN>
 (Maxim Nikulin's message of "Wed, 27 Jan 2021 19:14:21 +0700")
Message-ID: <bvbldafj0b.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44824
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Ref eg https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25234#8
https://bugzilla.gnome.org/show_bug.cgi?id=652262
https://gitlab.gnome.org/GNOME/glib/-/issues/1208
and others going back over a decade.
I think Emacs should have a PROBLEMS entry about this.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#44824; Package emacs,org-mode. Full text available.

Message received at 44824 <at> debbugs.gnu.org:


Received: (at 44824) by debbugs.gnu.org; 27 Jan 2021 13:34:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 27 08:34:03 2021
Received: from localhost ([127.0.0.1]:44055 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l4kxO-0004NJ-RY
	for submit <at> debbugs.gnu.org; Wed, 27 Jan 2021 08:34:03 -0500
Received: from mail-lj1-f169.google.com ([209.85.208.169]:46385)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.a.nikulin@HIDDEN>) id 1l4kxM-0004Mo-Hq
 for 44824 <at> debbugs.gnu.org; Wed, 27 Jan 2021 08:34:01 -0500
Received: by mail-lj1-f169.google.com with SMTP id u11so2074801ljo.13
 for <44824 <at> debbugs.gnu.org>; Wed, 27 Jan 2021 05:34:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:subject:cc:references:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=Ol0Ubdl5pN0LzjlHLDuGaDjbWAx6xGGcEYjpXxB8Cg0=;
 b=QTccA+zTI0KNrzSkKfK0Hy+lsxpGIZVBiRPQeEnmp4zz2gVlBU4fguLTm6fBXJJ/Vg
 ccKetIPhr7r7C9YUU46gPdHNJ0RVDb2otoPgO+mqT+Bpe8LkhUeztJKHXzTU2bFscj0B
 fTduJx/nIMxUCtl8ekwUzfilhGMQ6wxpImZWQc5GNgw2ctSryI8FVJC8fpBjlvYHkTf3
 v3Jgpf4DSaTg9k64BgO6TEoyUJgGHLV4+4I9mkYyZDl31VlFgOv32M8TOcQCNQbavFQ3
 gl8GUoWps0ChUXkVCLQMv+NjOtmYKy4vO7PS6HDOmNRzMkB5CVaaRvZR66iw5GJK7zk0
 GDWA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:subject:cc:references:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=Ol0Ubdl5pN0LzjlHLDuGaDjbWAx6xGGcEYjpXxB8Cg0=;
 b=qzb3KXRZp2ixGzEgptyczhLkm3ok+lnpPZuRrVjPo/mQcXmcgo848WkkdVr3TFlxT+
 JRS5s2rMfcyrD9AmoIdKZMjRVEle+/uT67SmnGXoipo1YuuJTzoaKm+FWtSXKkzgCdxe
 Z7yaDa62uzXc0JtXU5xDviznj8fyDacK6r4ADJ2keFSgDdUliHJjEiIqrV2uyPk9pOT1
 bScl4QYMP27jJj5LPwIMVqM40WdibF2lf0tUCb9okMzzTNOEHOdXgsMuC1yN4r3sEy6C
 BTwadvjk9fA3xDtJhPK9ZLdzfpiSf0Sp6fGkBGOB21zU8Ks1O5g4wNEnjSIHgDyxUQ8z
 mDug==
X-Gm-Message-State: AOAM533PrKC/Xgbv0l60Ch7kc2XK0qfl/GHVROttzoesNIDWcY1yVxAu
 uzqGGGanrONJnSvptJhpaAvyAQu92iU=
X-Google-Smtp-Source: ABdhPJxDZqmUbmeRaA81pWXtQVDdqzpf/kUSIlH65ylYYsXUbwNo6pB2emHJUplvjUC/nQK3bP5+hg==
X-Received: by 2002:a2e:a303:: with SMTP id l3mr5703851lje.395.1611754434018; 
 Wed, 27 Jan 2021 05:33:54 -0800 (PST)
Received: from [192.168.0.101] (nat-0-0.nsk.sibset.net. [5.44.169.181])
 by smtp.googlemail.com with ESMTPSA id h9sm500459lfj.24.2021.01.27.05.33.52
 for <44824 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 27 Jan 2021 05:33:53 -0800 (PST)
From: Maxim Nikulin <m.a.nikulin@HIDDEN>
X-Google-Original-From: Maxim Nikulin <M.A.Nikulin@HIDDEN>
Subject: Re: bug#44824: 27.1; Org export as pdf and open file does not open it
References: <CAFbX=UpDN9XtTr3osTC6B=V0trvatayw5WF0gMjGWAWfQQkAXg@HIDDEN>
 <f395c79a-c3e3-52c7-3fbb-608e94868e8e@HIDDEN>
 <87y2gfcape.fsf_-___1545.58022493205$1611718675$gmane$org@HIDDEN>
 <0f4437bc-3e40-fe47-d6e7-d33c2fb7965a@HIDDEN>
Message-ID: <1db41fd9-803e-497d-0c88-b6a5486a235a@HIDDEN>
Date: Wed, 27 Jan 2021 20:33:51 +0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <0f4437bc-3e40-fe47-d6e7-d33c2fb7965a@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I hope, the following link to another emacs-orgmode mail list
 archive will not be mangled by the debbugs web interface, unlike the previous
 one: https://lists.gnu.org/archive/html/emacs-orgmode/2021-0 [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.a.nikulin[at]gmail.com)
 1.2 MISSING_HEADERS        Missing To: header
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.208.169 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.208.169 listed in wl.mailspike.net]
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 44824
Cc: 44824 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

I hope, the following link to another emacs-orgmode mail list archive 
will not be mangled by the debbugs web interface, unlike the previous one:
https://lists.gnu.org/archive/html/emacs-orgmode/2021-01/msg00327.html





Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#44824; Package emacs,org-mode. Full text available.

Message received at 44824 <at> debbugs.gnu.org:


Received: (at 44824) by debbugs.gnu.org; 27 Jan 2021 13:24:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 27 08:24:06 2021
Received: from localhost ([127.0.0.1]:44043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l4knl-00047k-Sx
	for submit <at> debbugs.gnu.org; Wed, 27 Jan 2021 08:24:06 -0500
Received: from mail-lf1-f42.google.com ([209.85.167.42]:39745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.a.nikulin@HIDDEN>) id 1l4jiQ-0006hx-Kx
 for 44824 <at> debbugs.gnu.org; Wed, 27 Jan 2021 07:14:31 -0500
Received: by mail-lf1-f42.google.com with SMTP id h7so2322734lfc.6
 for <44824 <at> debbugs.gnu.org>; Wed, 27 Jan 2021 04:14:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:subject:newsgroups:references:cc:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=osIoRYQUzpbft95NAHfQt6mtI5IZxLk0apbL63q1Tds=;
 b=tfwb6Xep+C8RS2XS0OijEMsieK5iUGVDJW1KSQwuqDwcohp9MHNB/XMSBd7ZxKjh8q
 YQffoLQNbb5kR0ptfnK03pcbny1eHERCoR+vkJXNlSeRm4B9vX4/vG9fZ9Eu35FjfFQm
 294o9rQpZs3P/Kpdb8dg5P9rCah6LDKdJjIF2U4dqJBX9boOPtTDuIlT0ngQoppn18vh
 OGR4RA0HM13HkAVg4oENLUaIeKqQIhCDuOYEtzd8/QSmfW3ULhe1BQ1TKX+FOokhUOmR
 IM/D/+Sg4Yzn6TpI7gK6RZMPnlLzxiuCwYdPdQb3ycHf4+p70yOp7Gkeag3Fh618rinj
 +BJg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:subject:newsgroups:references:cc:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=osIoRYQUzpbft95NAHfQt6mtI5IZxLk0apbL63q1Tds=;
 b=SnMtBicEfV+hHeizfDfoaOoZasEE0KKhSXctHBV8psPrhsJqbEK25iGsDbHEnFmv1P
 I0leHvQuk3zaO6lXGuX7kGxWmq3eXLEnxzr5Yq+xupBqBaOutYAut+oFJ18BYpZSOdkv
 eq9adSbhbiZU9VJnkR2rk6KvgstP4WejSt3iXyjoPqnqUGx6gNxVLMzUCYPCOg9kIbz/
 DUJtihfEy/5TM7ezCuoggVTx6xY85IGxbZ5z5rd08VqqKuJT1bJmcVyt92kQyIMJp+38
 rA3B423z0y8t3JjG9ALgh/oOQpo+6vUzPdWKCMqnna45tj+/OJgmmqaO6qE3WY/hKIf/
 dkzQ==
X-Gm-Message-State: AOAM530DzRhV07bn6WCi0wrZ4iUVsD9MRYL/5ZgQkcZYLv8cHfmLea9/
 1cH5JI01cyWR+XY7yxmcBbAEnsFO4e4=
X-Google-Smtp-Source: ABdhPJz/jS2LUxRrhtVPkKp5SSK8qeQVRTJBvzJ/yoZgU36KNq65ThgS0RZm5pBhRpWoLVM2voTnGw==
X-Received: by 2002:a19:700b:: with SMTP id h11mr4701367lfc.356.1611749664274; 
 Wed, 27 Jan 2021 04:14:24 -0800 (PST)
Received: from [192.168.0.101] (nat-0-0.nsk.sibset.net. [5.44.169.181])
 by smtp.googlemail.com with ESMTPSA id v21sm531047ljk.122.2021.01.27.04.14.23
 for <44824 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 27 Jan 2021 04:14:23 -0800 (PST)
From: Maxim Nikulin <m.a.nikulin@HIDDEN>
X-Google-Original-From: Maxim Nikulin <manikulin@HIDDEN>
Subject: Re: bug#44824: 27.1; Org export as pdf and open file does not open it
Newsgroups: gmane.emacs.orgmode
References: <CAFbX=UpDN9XtTr3osTC6B=V0trvatayw5WF0gMjGWAWfQQkAXg@HIDDEN>
 <f395c79a-c3e3-52c7-3fbb-608e94868e8e@HIDDEN>
 <87y2gfcape.fsf_-___1545.58022493205$1611718675$gmane$org@HIDDEN>
Message-ID: <0f4437bc-3e40-fe47-d6e7-d33c2fb7965a@HIDDEN>
Date: Wed, 27 Jan 2021 19:14:21 +0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <87y2gfcape.fsf_-___1545.58022493205$1611718675$gmane$org@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 27/01/2021 10:36, Lars Ingebrigtsen wrote: > >> Executing
 the command "xdg-open /path/to/file.pdf" in a terminal >> (Konsole) works.
 The problem may be related to SIGHUP sent to children due to pty created
 by emacs and closed as soon as the handler exits: 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.a.nikulin[at]gmail.com)
 1.2 MISSING_HEADERS        Missing To: header
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.42 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.42 listed in wl.mailspike.net]
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 44824
X-Mailman-Approved-At: Wed, 27 Jan 2021 08:24:04 -0500
Cc: 44824 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

On 27/01/2021 10:36, Lars Ingebrigtsen wrote:
> 
>> Executing the command "xdg-open /path/to/file.pdf" in a terminal
>> (Konsole) works.

The problem may be related to SIGHUP sent to children due to pty created 
by emacs and closed as soon as the handler exits:

https://orgmode.org/list/ru4d75$11sc$1@HIDDEN/

As a workaround you could try to set another handler for PDF files in 
mailcap, e.g. okular directly without xdg-open wrapper. Handler should 
not try to launch actual application in background with immediate exit.

Currently start-process elisp function is used internally in 
org-open-file. Low level (make-process :connection-type 'pipe ...) 
should allow to avoid pty+SIGHUP problem. Maybe there are some 
consequences of such change that I am not aware of.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#44824; Package emacs,org-mode. Full text available.

Message received at 44824 <at> debbugs.gnu.org:


Received: (at 44824) by debbugs.gnu.org; 27 Jan 2021 08:33:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 27 03:33:38 2021
Received: from localhost ([127.0.0.1]:43705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l4gGg-0000yd-OH
	for submit <at> debbugs.gnu.org; Wed, 27 Jan 2021 03:33:38 -0500
Received: from mail-ed1-f48.google.com ([209.85.208.48]:35124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gbiotti@HIDDEN>) id 1l4gGe-0000yN-BC
 for 44824 <at> debbugs.gnu.org; Wed, 27 Jan 2021 03:33:37 -0500
Received: by mail-ed1-f48.google.com with SMTP id j13so1404354edp.2
 for <44824 <at> debbugs.gnu.org>; Wed, 27 Jan 2021 00:33:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id
 :disposition-notification-to:date:user-agent:mime-version
 :in-reply-to:content-transfer-encoding:content-language;
 bh=zgU1agy6WwlAWyv1rxpDlQSAxolvALPfT69+ouzQpPM=;
 b=kTvulJSBDcKy5dJkBwQjSqdYKrYDKWqct6dqWl8LoETrKkd2O8TZH8NEMPAzYPFrQt
 3U+V6pm9/OhX8mXsnrcfijbw5YdbXr1BGVm9MWKTBSncwxGtltBe3yuBr+iyClwfqE2u
 KdjZv03fpecmc7m8sCdY0WeLAyev4VeG0MzvltmQJtxHF/7IDgclhe3L8mBzUAszLIIO
 zzbkD94U6VKRw31bUBNKI6X5es2rpX/BkIdjXfgUdiHF98nShRMUt10yh4cvX4HtcI7V
 Y9NT2/iyR9olwy7J9502FIuxZJgg3Z9kjidDeENA0L4AsQjPkHajDlvZxU2dPQB8cxh+
 Wy1A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id
 :disposition-notification-to:date:user-agent:mime-version
 :in-reply-to:content-transfer-encoding:content-language;
 bh=zgU1agy6WwlAWyv1rxpDlQSAxolvALPfT69+ouzQpPM=;
 b=fYPnMc8K+F+NS/OsE4EAL1KcXDJjfWKM0ooX+nO1MveREYky3BYJm/kXA1KRNZRuSK
 0zt6nRAnLcl6P9U+olCBYYJKMlNYizqY9s+BUoepgcpxP4i7EFSjMswYCzKhJoOkha8Z
 WvJDw8rU39jsu01ebK/aMFgiOpRyF1UpEtsD0ho9kWHqzrEenv6ELy/mN1D6Rkqcm829
 /iiB+RSCL0ZuSRRG7fmI1j6KyhtuTsAtSFETUYl7XSDj9X61hOWiiq8o8yVZ1cNbE+BW
 YZvRRny6ZN0VOlLShNpQ/5dY1dQTMGT1OppVkqGMVSX7AWeR61APWhcilmRhqgi/BZWB
 xo9Q==
X-Gm-Message-State: AOAM533gOHl4maD2ZSZFDu3pYYyvG+TRhWFdKpTVFAevU0z1aZaFnYlg
 pAk3Ja8/8P1W/QPA9/C2l9/uYc5qnfBJHQ==
X-Google-Smtp-Source: ABdhPJxNwfq0pEJEXUGyvKRLP06QRqcvUAqrK5dPrXxwJ8Af96IIMLllpoYWWLPruZkQLj+LFqgsNQ==
X-Received: by 2002:a05:6402:34c3:: with SMTP id
 w3mr8071561edc.3.1611736410375; 
 Wed, 27 Jan 2021 00:33:30 -0800 (PST)
Received: from [192.168.3.50] (host-79-36-126-117.retail.telecomitalia.it.
 [79.36.126.117])
 by smtp.gmail.com with ESMTPSA id p15sm471089ejx.109.2021.01.27.00.33.29
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 27 Jan 2021 00:33:29 -0800 (PST)
Subject: Re: bug#44824: 27.1; Org export as pdf and open file does not open it
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CAFbX=UpDN9XtTr3osTC6B=V0trvatayw5WF0gMjGWAWfQQkAXg@HIDDEN>
 <f395c79a-c3e3-52c7-3fbb-608e94868e8e@HIDDEN> <87y2gfcape.fsf_-_@HIDDEN>
From: "gbiotti@HIDDEN" <gbiotti@HIDDEN>
Message-ID: <c108ef5b-a504-4ade-a863-cd2ac82f3ad8@HIDDEN>
Date: Wed, 27 Jan 2021 09:33:28 +0100
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:78.0) Gecko/20100101
 Thunderbird/78.6.1
MIME-Version: 1.0
In-Reply-To: <87y2gfcape.fsf_-_@HIDDEN>
Content-Type: text/plain; charset=iso-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: it
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44824
Cc: 44824 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Il 27/01/2021 04:36, Lars Ingebrigtsen writes:
> "gbiotti@HIDDEN" <gbiotti@HIDDEN> writes:
>
>> Executing the command "xdg-open /path/to/file.pdf" in a terminal
>> (Konsole) works.
>>
>> Executing the same command in Emacs via eshell DOES NOT WORK.
> What happens if you execute that command in Emacs via eshell?
>

The same as using C-c C-e l o
"The default PDF program (okular) appears to open (i see the icon, but not
the window) and closes without showing anything."





Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#44824; Package emacs,org-mode. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44824 <at> debbugs.gnu.org:


Received: (at 44824) by debbugs.gnu.org; 27 Jan 2021 03:36:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 26 22:36:56 2021
Received: from localhost ([127.0.0.1]:43241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l4bdY-00042Q-H1
	for submit <at> debbugs.gnu.org; Tue, 26 Jan 2021 22:36:56 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l4bdX-00042A-2J
 for 44824 <at> debbugs.gnu.org; Tue, 26 Jan 2021 22:36:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=bvCDsECIWOTYWiXwV91GFzzbJ3NPyfVvdmcgRgWsBpU=; b=O0jkOJclyvOdRqJEi6xiIbyaMc
 8y28GLq4sXvCuIT3SiPI3708RCy/mfqTyCDMp5eDcvzLR0kdI+JQatrsCYMEY/JJoNeqaVk7n/R1G
 bw9qxHP2R8tcnB2MD5PtZ0qFRhINIdSrRe4I+de3hQaCNopVfNYyEI1CCSS9MURXz8Qo=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l4bdO-0000iF-Q4; Wed, 27 Jan 2021 04:36:49 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: gbiotti@HIDDEN
Subject: Re: bug#44824: 27.1; Org export as pdf and open file does not open it
References: <CAFbX=UpDN9XtTr3osTC6B=V0trvatayw5WF0gMjGWAWfQQkAXg@HIDDEN>
 <f395c79a-c3e3-52c7-3fbb-608e94868e8e@HIDDEN>
X-Now-Playing: ... And The Native Hipsters's _To The Outside Of Everything:
 A Story of UK Post Punk 1977-1981 (3)_: "There Goes Concorde Again"
Date: Wed, 27 Jan 2021 04:36:45 +0100
In-Reply-To: <f395c79a-c3e3-52c7-3fbb-608e94868e8e@HIDDEN>
 (gbiotti@HIDDEN's message of "Mon, 23 Nov 2020 19:37:18 +0100")
Message-ID: <87y2gfcape.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "gbiotti@HIDDEN" <gbiotti@HIDDEN> writes: > Executing
 the command "xdg-open /path/to/file.pdf" in a terminal > (Konsole) works.
 > > Executing the same command in Emacs via eshell DOES NOT WORK. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44824
Cc: 44824 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"gbiotti@HIDDEN" <gbiotti@HIDDEN> writes:

> Executing the command "xdg-open /path/to/file.pdf" in a terminal
> (Konsole) works.
>
> Executing the same command in Emacs via eshell DOES NOT WORK.

What happens if you execute that command in Emacs via eshell?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#44824; Package emacs,org-mode. Full text available.

Message received at 44824 <at> debbugs.gnu.org:


Received: (at 44824) by debbugs.gnu.org; 23 Nov 2020 18:37:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 23 13:37:29 2020
Received: from localhost ([127.0.0.1]:51124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khGiO-0002UJ-ND
	for submit <at> debbugs.gnu.org; Mon, 23 Nov 2020 13:37:29 -0500
Received: from mail-ej1-f52.google.com ([209.85.218.52]:37276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gbiotti@HIDDEN>) id 1khGiN-0002U6-7Q
 for 44824 <at> debbugs.gnu.org; Mon, 23 Nov 2020 13:37:27 -0500
Received: by mail-ej1-f52.google.com with SMTP id z5so4660142ejp.4
 for <44824 <at> debbugs.gnu.org>; Mon, 23 Nov 2020 10:37:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:subject:message-id:disposition-notification-to:date
 :user-agent:mime-version:content-transfer-encoding:content-language;
 bh=U2oGuaxCuTTascCGrXHyNjQe30xeXEhTB8YheMt4oRk=;
 b=IqBzmNLitdUSWtADfFrU1k/N64FVP7nR3kEMPmqbP53lHn8TZNAS8Fd2LTkQ6Qg5ol
 ilZNCLAFX21F+T3spUpDXwrf9GVfQn7mn5Nq1N9BOhbPibMrp7jAKm1BAecBCY1Z1WoP
 bfNOagy2YRHBHx9KKyz6PNQSzulkKf3QhJs6Pj1fX+DsJssH3AbV4LP/HRZBjOecuv/Y
 y3deVldg8JFpS1vKLJwUdE0sgFzoRmWwwNzQX/agnLm49FqfFtwQcWCyTwbwiAOMNNWX
 YIRUU46xCVsXpSn398yMUzQZU9h+FdzY8qqlE45g4FEw1UTiqghwW42pCnZEAfXLoEQk
 gZbw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:subject:message-id
 :disposition-notification-to:date:user-agent:mime-version
 :content-transfer-encoding:content-language;
 bh=U2oGuaxCuTTascCGrXHyNjQe30xeXEhTB8YheMt4oRk=;
 b=lbNB6aQFY9iaNN5XfwLN0nLdqx42t021GsxCdP6PU55saL0C9WDwPXHR3pcmlMFqpv
 vDBLhAFES8oJ1seWdr6wBYVn6qSIqnSs05Cxn24rOF4yFi5omeb9S/sERjWUmE0WmGeG
 gXrZTRsetz4ks0CT6o1EyhcHdN1oWjl8uq3TROMqDaiagD7qrEHUZPILPq0Xs/Aefs0H
 DAW7FgOiva6CvaiFSJSIhIAwiO9x0HcwpQTS09D5tQIrpenxnNPTYFCSqRCuP2VyGKH7
 KNYzg+rf7BSeY3PdZZorGxwj+1O5+kfOwtd+9idmivwIIUcb65nWoi6rU98B6nPtbr/e
 mANQ==
X-Gm-Message-State: AOAM5324YDooQHIz/FK1w9tuSZeMvNE1M75WRV4rylmGjdld2wwsyaaa
 IT7spthsiyfgNbAKPxIicRBI7zA8+tfxfw==
X-Google-Smtp-Source: ABdhPJyxqrV+UCIePvsNJ6bASi0nIbwKRF7FjQGxfN0CVvzSZ02wcb5T3HkYx8aFYr9RUPTXyQ9LqA==
X-Received: by 2002:a17:906:4057:: with SMTP id
 y23mr799208ejj.299.1606156641076; 
 Mon, 23 Nov 2020 10:37:21 -0800 (PST)
Received: from [192.168.3.50] (host-87-3-132-161.retail.telecomitalia.it.
 [87.3.132.161])
 by smtp.gmail.com with ESMTPSA id e12sm5536265edm.48.2020.11.23.10.37.20
 for <44824 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 23 Nov 2020 10:37:20 -0800 (PST)
To: 44824 <at> debbugs.gnu.org
From: "gbiotti@HIDDEN" <gbiotti@HIDDEN>
Subject: More info
Message-ID: <f395c79a-c3e3-52c7-3fbb-608e94868e8e@HIDDEN>
Date: Mon, 23 Nov 2020 19:37:18 +0100
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:78.0) Gecko/20100101
 Thunderbird/78.5.0
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: it
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44824
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Changing default program does not work: using evince instead of okular 
-> same results.

Executing the command "xdg-open /path/to/file.pdf" in a terminal 
(Konsole) works.

Executing the same command in Emacs via eshell DOES NOT WORK.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44824; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Nov 2020 17:40:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 23 12:40:14 2020
Received: from localhost ([127.0.0.1]:51045 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khFoz-0007Mk-Tj
	for submit <at> debbugs.gnu.org; Mon, 23 Nov 2020 12:40:14 -0500
Received: from lists.gnu.org ([209.51.188.17]:49066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gbiotti@HIDDEN>) id 1khFoy-0007Mc-4K
 for submit <at> debbugs.gnu.org; Mon, 23 Nov 2020 12:40:12 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:46016)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gbiotti@HIDDEN>) id 1khFox-0000g2-R1
 for bug-gnu-emacs@HIDDEN; Mon, 23 Nov 2020 12:40:11 -0500
Received: from mail-lj1-x233.google.com ([2a00:1450:4864:20::233]:34421)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <gbiotti@HIDDEN>) id 1khFou-0002Mo-CL
 for bug-gnu-emacs@HIDDEN; Mon, 23 Nov 2020 12:40:11 -0500
Received: by mail-lj1-x233.google.com with SMTP id y16so18950018ljk.1
 for <bug-gnu-emacs@HIDDEN>; Mon, 23 Nov 2020 09:40:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=1AZjNz1veYcF8qkn6Qlzx6XJFZ3+vrDCjzj0GpYWZXY=;
 b=lu4bM6OIJ9D+XhvGTpX2iaz0c4vkk15Ef9+7AGXilDKfFXgYEENmXc+59plsXKcpAx
 wEjOnjR7YHfXbP87vJPMXyrZODa37+8Xn9GDiCqrx5l9oSJdivOW1ZHsoF81hdvVN4I/
 QKPQctVDvd+Wg7F9/W3/hWcit6LN/OviRP6eIAUurVHLovr8hgbwAHCZnPlfqZQt+zrC
 lGU62ppkYuHxKosy2C60j6t7L8ianC0sqQpOSafaijB6oxCpFzlLs/ErlmAhD4rGDqgt
 L28rh9rV3gHNY+eb19x4JMtpx3QYqUffsu2ulJ+Kpm7T0CeDLCH9nu+/o3YHPChIycAN
 3Tag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=1AZjNz1veYcF8qkn6Qlzx6XJFZ3+vrDCjzj0GpYWZXY=;
 b=ME3RWI50tZdQBiRTtMyGEvjcLKzETlZDORB4MlyDMNwM5J9wjy6FB0V1+GI45JVf9v
 PW1b0CX1GJT3MuVdlO7Mwh2RxM5MN78b11CGYiTypVfwh4eWzXbXy+XViV/UsHVFE2aa
 6kzaJs2OltM/0QjBN9loPOEM79droaiKBY9AmmP2dg9+glyZFry3QJ01eK2oTW5Np5wK
 JZLTkIPRqs9suMkl0ZlJheRp9YCqrmgaFKQnm0FQu6jjpCWRWvO3sZiC9CeQ1ju41l2g
 vH22t1cR2l1p2JRanpstUTcP6DA90iTAvIEasowozPshpQ13EdO9LbCRvyF5eqzgrhmH
 SmGA==
X-Gm-Message-State: AOAM531SN3BD6HwzsGIQW3KN4Tu9U22KlBSNxdtTHKc8Qu4mP0wz/lfL
 17QOTjh1MD2W+D2UmW+Sje/ESVRFLBx7qdcXnx2JTa8XIKn5NA==
X-Google-Smtp-Source: ABdhPJxI6hOoTBPExe9xxs8BJNfmL6sVyB8Sewzqp/ZSNX14PfFrCaP2ZYy7EHa/4VLPzhqqcey0rhYGp/wNkSxvJTI=
X-Received: by 2002:a05:651c:556:: with SMTP id
 q22mr211369ljp.127.1606153204960; 
 Mon, 23 Nov 2020 09:40:04 -0800 (PST)
MIME-Version: 1.0
From: Geraldo Biotti <gbiotti@HIDDEN>
Date: Mon, 23 Nov 2020 18:40:12 +0100
Message-ID: <CAFbX=UpDN9XtTr3osTC6B=V0trvatayw5WF0gMjGWAWfQQkAXg@HIDDEN>
Subject: 27.1; Org export as pdf and open file does not open it
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000003c903205b4c9af67"
Received-SPF: pass client-ip=2a00:1450:4864:20::233;
 envelope-from=gbiotti@HIDDEN; helo=mail-lj1-x233.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000003c903205b4c9af67
Content-Type: text/plain; charset="UTF-8"

Create a new org file and save it.
Try to export to LaTeX as PDF file and open (C-c C-e l o)

This is what *messages* says:
(New file)
Saving file /tmp/test2.tex...
Wrote /tmp/test2.tex
Processing LaTeX file test2.tex...
PDF file produced.
Running /usr/bin/xdg-open /tmp/test2.pdf...done

The default PDF program (okular) appears to open (i see the icon, but not
the window) and closes without showing anything.

Working on Manjaro Linux 20.1:
KDE Plasma Version: 5.20.3
KDE Frameworks Version: 5.76.0
Qt version: 5.15.1
Kernel Version: 5.8.18-1-MANJARO
OS Type: 64 bit



In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.22,
cairo version 1.17.3)
 of 2020-08-28 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Manjaro Linux

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
(New file)
Saving file /tmp/test.org...
Wrote /tmp/test.org
Saving file /tmp/test.tex...
Wrote /tmp/test.tex
Processing LaTeX file test.tex...
PDF file produced.
Running /usr/bin/xdg-open /tmp/test.pdf...done

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft --with-wide-int
 --with-modules --with-cairo --with-harfbuzz 'CFLAGS=-march=x86-64
 -mtune=generic -O2 -pipe -fno-plt' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
  value of $LC_MONETARY: it_IT.UTF-8
  value of $LC_NUMERIC: it_IT.UTF-8
  value of $LC_TIME: it_IT.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Info

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail mule-util info tex-mode compile
shell latexenc cl-extra help-mode ox-odt rng-loc rng-uri rng-parse
rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok
nxml-util ox-latex ox-icalendar ox-html table ox-ascii ox-publish ox
org-element avl-tree generator ol-eww ol-rmail ol-mhe ol-irc ol-info
ol-gnus nnir gnus-sum url url-proxy url-privacy url-expand url-methods
url-history mailcap shr url-cookie url-domsuf url-util url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs json map
url-vars svg xml dom browse-url gnus-group gnus-undo gnus-start
gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo parse-time iso8601
gnus-spec gnus-int gnus-range message rmc puny rfc822 mml mml-sec
password-cache epa derived epg epg-config mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader gnus-win gnus
nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums
text-property-search seq byte-opt gv bytecomp byte-compile cconv
mail-utils mm-util mail-prsvr wid-edit ol-docview doc-view jka-compr
image-mode exif dired dired-loaddefs ol-bibtex bibtex ol-bbdb ol-w3m org
ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote
org-src ob-comint org-pcomplete pcomplete comint ansi-color ring
org-list org-faces org-entities time-date subr-x noutline outline
easy-mmode org-version ob-emacs-lisp ob-core ob-eval org-table ol
org-keys org-compat advice org-macs org-loaddefs format-spec find-func
cal-menu easymenu calendar cal-loaddefs cl-loaddefs cl-lib tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 192463 13711)
 (symbols 48 20487 1)
 (strings 32 76053 9166)
 (string-bytes 1 2456243)
 (vectors 16 32285)
 (vector-slots 8 365851 18818)
 (floats 8 220 130)
 (intervals 56 360 0)
 (buffers 1000 14))

--0000000000003c903205b4c9af67
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><span style=3D"font-family:monospace"><br>Create a new org=
 file and save it.<br>Try to export to LaTeX as PDF file and open (C-c C-e =
l o)<br><br>This is what *messages* says:<br>(New file)<br>Saving file /tmp=
/test2.tex...<br>Wrote /tmp/test2.tex<br>Processing LaTeX file test2.tex...=
<br>PDF file produced.<br>Running /usr/bin/xdg-open /tmp/test2.pdf...done<b=
r><br>The default PDF program (okular) appears to open (i see the icon, but=
 not<br>the window) and closes without showing anything.<br><br>Working on =
Manjaro Linux 20.1:<br>KDE Plasma Version: 5.20.3<br>KDE Frameworks Version=
: 5.76.0<br>Qt version: 5.15.1<br>Kernel Version: 5.8.18-1-MANJARO<br>OS Ty=
pe: 64 bit<br><br><br><br>In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, =
GTK+ Version 3.24.22, cairo version 1.17.3)<br>=C2=A0of 2020-08-28 built on=
 juergen<br>Windowing system distributor &#39;The X.Org Foundation&#39;, ve=
rsion 11.0.12009000<br>System Description: Manjaro Linux<br><br>Recent mess=
ages:<br>For information about GNU Emacs and the GNU system, type C-h C-a.<=
br>(New file)<br>Saving file /tmp/test.org...<br>Wrote /tmp/<a href=3D"http=
://test.org">test.org</a><br>Saving file /tmp/test.tex...<br>Wrote /tmp/tes=
t.tex<br>Processing LaTeX file test.tex...<br>PDF file produced.<br>Running=
 /usr/bin/xdg-open /tmp/test.pdf...done<br><br>Configured using:<br>=C2=A0&=
#39;configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib<b=
r>=C2=A0--localstatedir=3D/var --with-x-toolkit=3Dgtk3 --with-xft --with-wi=
de-int<br>=C2=A0--with-modules --with-cairo --with-harfbuzz &#39;CFLAGS=3D-=
march=3Dx86-64<br>=C2=A0-mtune=3Dgeneric -O2 -pipe -fno-plt&#39; CPPFLAGS=
=3D-D_FORTIFY_SOURCE=3D2<br>=C2=A0LDFLAGS=3D-Wl,-O1,--sort-common,--as-need=
ed,-z,relro,-z,now&#39;<br><br>Configured features:<br>XPM JPEG TIFF GIF PN=
G RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY<br>INOTIFY ACL GNUTLS LIB=
XML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB<br>TOOLKIT_SCROLL_BARS GTK3 X11=
 XDBE XIM MODULES THREADS LIBSYSTEMD JSON<br>PDUMPER LCMS2 GMP<br><br>Impor=
tant settings:<br>=C2=A0 value of $LC_MONETARY: it_IT.UTF-8<br>=C2=A0 value=
 of $LC_NUMERIC: it_IT.UTF-8<br>=C2=A0 value of $LC_TIME: it_IT.UTF-8<br>=
=C2=A0 value of $LANG: en_US.UTF-8<br>=C2=A0 locale-coding-system: utf-8-un=
ix<br><br>Major mode: Info<br><br>Minor modes in effect:<br>=C2=A0 shell-di=
rtrack-mode: t<br>=C2=A0 tooltip-mode: t<br>=C2=A0 global-eldoc-mode: t<br>=
=C2=A0 electric-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool=
-bar-mode: t<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<=
br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 bl=
ink-cursor-mode: t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryp=
tion-mode: t<br>=C2=A0 auto-compression-mode: t<br>=C2=A0 buffer-read-only:=
 t<br>=C2=A0 line-number-mode: t<br>=C2=A0 transient-mark-mode: t<br><br>Lo=
ad-path shadows:<br>None found.<br><br>Features:<br>(shadow sort mail-extr =
emacsbug sendmail mule-util info tex-mode compile<br>shell latexenc cl-extr=
a help-mode ox-odt rng-loc rng-uri rng-parse<br>rng-match rng-dt rng-util r=
ng-pttrn nxml-parse nxml-ns nxml-enc xmltok<br>nxml-util ox-latex ox-icalen=
dar ox-html table ox-ascii ox-publish ox<br>org-element avl-tree generator =
ol-eww ol-rmail ol-mhe ol-irc ol-info<br>ol-gnus nnir gnus-sum url url-prox=
y url-privacy url-expand url-methods<br>url-history mailcap shr url-cookie =
url-domsuf url-util url-parse<br>auth-source cl-seq eieio eieio-core cl-mac=
s eieio-loaddefs json map<br>url-vars svg xml dom browse-url gnus-group gnu=
s-undo gnus-start<br>gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo p=
arse-time iso8601<br>gnus-spec gnus-int gnus-range message rmc puny rfc822 =
mml mml-sec<br>password-cache epa derived epg epg-config mm-decode mm-bodie=
s mm-encode<br>mail-parse rfc2231 mailabbrev gmm-utils mailheader gnus-win =
gnus<br>nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums<=
br>text-property-search seq byte-opt gv bytecomp byte-compile cconv<br>mail=
-utils mm-util mail-prsvr wid-edit ol-docview doc-view jka-compr<br>image-m=
ode exif dired dired-loaddefs ol-bibtex bibtex ol-bbdb ol-w3m org<br>ob ob-=
tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote<br>org-src ob-c=
omint org-pcomplete pcomplete comint ansi-color ring<br>org-list org-faces =
org-entities time-date subr-x noutline outline<br>easy-mmode org-version ob=
-emacs-lisp ob-core ob-eval org-table ol<br>org-keys org-compat advice org-=
macs org-loaddefs format-spec find-func<br>cal-menu easymenu calendar cal-l=
oaddefs cl-loaddefs cl-lib tooltip eldoc<br>electric uniquify ediff-hook vc=
-hooks lisp-float-type mwheel term/x-win<br>x-win term/common-win x-dnd too=
l-bar dnd fontset image regexp-opt fringe<br>tabulated-list replace newcomm=
ent text-mode elisp-mode lisp-mode<br>prog-mode register page tab-bar menu-=
bar rfn-eshadow isearch timer<br>select scroll-bar mouse jit-lock font-lock=
 syntax facemenu font-core<br>term/tty-colors frame minibuffer cl-generic c=
ham georgian utf-8-lang<br>misc-lang vietnamese tibetan thai tai-viet lao k=
orean japanese eucjp-ms<br>cp51932 hebrew greek romanian slovak czech europ=
ean ethiopic indian<br>cyrillic chinese composite charscript charprop case-=
table epa-hook<br>jka-cmpr-hook help simple abbrev obarray cl-preloaded nad=
vice loaddefs<br>button faces cus-face macroexp files text-properties overl=
ay sha1 md5<br>base64 format env code-pages mule custom widget hashtable-pr=
int-readable<br>backquote threads dbusbind inotify lcms2 dynamic-setting<br=
>system-font-setting font-render-setting cairo move-toolbar gtk x-toolkit<b=
r>x multi-tty make-network-process emacs)<br><br>Memory information:<br>((c=
onses 16 192463 13711)<br>=C2=A0(symbols 48 20487 1)<br>=C2=A0(strings 32 7=
6053 9166)<br>=C2=A0(string-bytes 1 2456243)<br>=C2=A0(vectors 16 32285)<br=
>=C2=A0(vector-slots 8 365851 18818)<br>=C2=A0(floats 8 220 130)<br>=C2=A0(=
intervals 56 360 0)<br>=C2=A0(buffers 1000 14))<br></span></div>

--0000000000003c903205b4c9af67--




Acknowledgement sent to Geraldo Biotti <gbiotti@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44824; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 27 Jan 2021 16:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.